summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/gnupg/gpg.conf3
-rw-r--r--tests/gnupg/pubring.gpgbin1183 -> 5875 bytes
-rw-r--r--tests/gnupg/secring.gpgbin2485 -> 12385 bytes
-rw-r--r--tests/gnupg/trustdb.gpgbin1280 -> 1600 bytes
-rwxr-xr-xtests/setup.sh13
5 files changed, 12 insertions, 4 deletions
diff --git a/tests/gnupg/gpg.conf b/tests/gnupg/gpg.conf
new file mode 100644
index 0000000..60ece49
--- /dev/null
+++ b/tests/gnupg/gpg.conf
@@ -0,0 +1,3 @@
+group group1 = E4691410 D774A374
+group group2 = E4691410
+group big group = CF90C77B D774A374 EB7D54A8 E4691410 39E5020C
diff --git a/tests/gnupg/pubring.gpg b/tests/gnupg/pubring.gpg
index 23345ec..0573fd3 100644
--- a/tests/gnupg/pubring.gpg
+++ b/tests/gnupg/pubring.gpg
Binary files differ
diff --git a/tests/gnupg/secring.gpg b/tests/gnupg/secring.gpg
index 985744c..f72e9fd 100644
--- a/tests/gnupg/secring.gpg
+++ b/tests/gnupg/secring.gpg
Binary files differ
diff --git a/tests/gnupg/trustdb.gpg b/tests/gnupg/trustdb.gpg
index 8c259d3..cb5ec15 100644
--- a/tests/gnupg/trustdb.gpg
+++ b/tests/gnupg/trustdb.gpg
Binary files differ
diff --git a/tests/setup.sh b/tests/setup.sh
index e38c12f..930ec99 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -4,7 +4,7 @@
# $GNUPGHOME Full path to test GPG directory
# $PASS Full path to password-store script to test
# $GPG Name of gpg executable
-# $PASSWORD_STORE_KEY GPG key id of testing key
+# $PASSWORD_STORE_KEY{1..5} GPG key ids of testing keys
# $PASSWORD_STORE_TEST_HOME This folder
#
@@ -29,7 +29,6 @@ fi
# Note: the assumption is the test key is unencrypted.
export GNUPGHOME="${PASSWORD_STORE_TEST_HOME}/gnupg/"
chmod 700 "$GNUPGHOME"
-export PASSWORD_STORE_KEY="3DEEA12D" # "Password-store Test Key"
GPG="gpg"
which gpg2 &>/dev/null && GPG="gpg2"
@@ -38,6 +37,12 @@ which gpg2 &>/dev/null && GPG="gpg2"
# We don't need a real agent. Hence:
export GPG_AGENT_INFO=" "
+export PASSWORD_STORE_KEY1="CF90C77B" # pass test key 1
+export PASSWORD_STORE_KEY2="D774A374" # pass test key 2
+export PASSWORD_STORE_KEY3="EB7D54A8" # pass test key 3
+export PASSWORD_STORE_KEY4="E4691410" # pass test key 4
+export PASSWORD_STORE_KEY5="39E5020C" # pass test key 5
+
# pass_init()
#
# Initialize a password store, setting PASSWORD_STORE_DIR
@@ -46,7 +51,7 @@ export GPG_AGENT_INFO=" "
# Returns: Nothing, sets PASSWORD_STORE_DIR
pass_init() {
export PASSWORD_STORE_DIR="${SHARNESS_TRASH_DIRECTORY}/test-store/"
- echo "Initializing test password store (${PASSWORD_STORE_DIR}) with key ${PASSWORD_STORE_KEY}"
+ echo "Initializing test password store (${PASSWORD_STORE_DIR}) with key ${PASSWORD_STORE_KEY1}"
if [[ -d "${PASSWORD_STORE_DIR}" ]] ; then
echo "Removing old store"
@@ -57,7 +62,7 @@ pass_init() {
fi
fi
- $PASS init ${PASSWORD_STORE_KEY} || return 1
+ $PASS init ${PASSWORD_STORE_KEY1} || return 1
echo "Initialization of ${PASSWORD_STORE_DIR} complete."
}
8f1&follow=1'>Bump github.com/antonmedv/expr from 1.14.0 to 1.15.1dependabot[bot]2-8/+4 Bumps [github.com/antonmedv/expr](https://github.com/antonmedv/expr) from 1.14.0 to 1.15.1. - [Release notes](https://github.com/antonmedv/expr/releases) - [Commits](https://github.com/antonmedv/expr/compare/v1.14.0...v1.15.1) --- updated-dependencies: - dependency-name: github.com/antonmedv/expr dependency-type: direct:production update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com> 2023-09-15Bump actions/checkout from 3 to 4dependabot[bot]2-2/+2 Bumps [actions/checkout](https://github.com/actions/checkout) from 3 to 4. - [Release notes](https://github.com/actions/checkout/releases) - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md) - [Commits](https://github.com/actions/checkout/compare/v3...v4) --- updated-dependencies: - dependency-name: actions/checkout dependency-type: direct:production update-type: version-update:semver-major ... Signed-off-by: dependabot[bot] <support@github.com> 2023-08-26Bump golang.org/x/net from 0.12.0 to 0.14.0dependabot[bot]2-6/+6 Bumps [golang.org/x/net](https://github.com/golang/net) from 0.12.0 to 0.14.0. - [Commits](https://github.com/golang/net/compare/v0.12.0...v0.14.0) --- updated-dependencies: - dependency-name: golang.org/x/net dependency-type: direct:production update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com> 2023-08-26Bump github.com/antonmedv/expr from 1.12.6 to 1.14.0dependabot[bot]2-3/+3 Bumps [github.com/antonmedv/expr](https://github.com/antonmedv/expr) from 1.12.6 to 1.14.0. - [Release notes](https://github.com/antonmedv/expr/releases) - [Commits](https://github.com/antonmedv/expr/compare/v1.12.6...v1.14.0) --- updated-dependencies: - dependency-name: github.com/antonmedv/expr dependency-type: direct:production update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com> 2023-07-15Upgrade depsRené 'Necoro' Neumann2-15/+12 2023-06-13Version Changelog entryv1.7.0René 'Necoro' Neumann1-1/+4 2023-06-13Prepare v1.7.0René 'Necoro' Neumann2-2/+2 2023-06-05Improve changelogRené 'Necoro' Neumann1-2/+4 2023-06-05IMAP client does not need to know about max number of connectionsRené 'Necoro' Neumann2-19/+12 2023-06-04ChangelogRené 'Necoro' Neumann1-0/+4 2023-06-04Add new config option to set max number of IMAP connections.René 'Necoro' Neumann5-20/+26 Default is 5 (as was the hard-coded value before). Closes issue #98. 2023-06-04Improve locking around IMAP connect/disconnect.René 'Necoro' Neumann1-10/+26 This ensures that no connect happens _after_ a disconnect has been issued. Closes issue #97. 2023-05-20Bump golang.org/x/net from 0.9.0 to 0.10.0dependabot[bot]2-2/+3 Bumps [golang.org/x/net](https://github.com/golang/net) from 0.9.0 to 0.10.0. - [Commits](https://github.com/golang/net/compare/v0.9.0...v0.10.0) --- updated-dependencies: - dependency-name: golang.org/x/net dependency-type: direct:production update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com> 2023-05-12Amend changelogRené 'Necoro' Neumann1-0/+1 2023-05-12Issue #95 Add warning when config can be read globally.René 'Necoro' Neumann1-0/+11 2023-05-11Issue #95: Change cache ownership.René 'Necoro' Neumann1-0/+4 There is no need for the cache to be accessible by anyone who is not us. Thus enforce the cache to be stored with 0600. 2023-05-11Issue #95: Add hint about sensible access rights.René 'Necoro' Neumann1-0/+1 2023-04-23[workflow] Port changes also to releaseRené 'Necoro' Neumann1-6/+5 2023-04-23[workflow] Checkout before go setupRené 'Necoro' Neumann1-3/+3 2023-04-23[workflow] determine go version from go.modRené 'Necoro' Neumann1-3/+2 2023-04-23Improve test to also validate error messageRené 'Necoro' Neumann1-42/+39 2023-04-22Fix/improve testsRené 'Necoro' Neumann1-59/+104 2023-04-22Improve error handlingRené 'Necoro' Neumann1-1/+11 2023-04-21Fix workflow: '1.20' needs to be quotedRené 'Necoro' Neumann2-2/+2